Name:           pitivi
Version:        0.10.3
Release:        2%{?dist}
Summary:        Non-linear video editor

Group:          Applications/Multimedia
License:        GPL
URL:            http://www.pitivi.org/
Source0:        http://download.sf.net/pitivi/%{name}-%{version}.tar.bz2
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildArch:      noarch

Requires:       gnonlin
Requires:       gstreamer-python

BuildRequires:  gstreamer-devel >= 0.10.2
BuildRequires:  gstreamer-plugins-base-devel >= 0.10.2
BuildRequires:  gstreamer-python
BuildRequires:  GConf2-devel
BuildRequires:  gtk2-devel >= 2.8
BuildRequires:  pygtk2-devel
BuildRequires:  pygtk2-libglade
BuildRequires:  gtk-doc
BuildRequires:  pkgconfig
BuildRequires:  desktop-file-utils
BuildRequires:  gnome-python2
BuildRequires:  gnonlin >= 0.10.6.1
BuildRequires:  perl(XML::Parser)
BuildRequires:  gettext

%description
Pitivi is an application using the GStreamer multimedia framework to
manipulate a large set of multimedia sources.

At this level of development it can be compared to a classic video editing
program. 

%prep
%setup0 -q

for f in `find . -name \*.py`
do
        %{__sed} -e '/^#!/,1d' < $f > $f.tmp && mv $f.tmp $f
done

%build
%configure --libdir=%{_datadir}

make %{?_smp_mflags}

%install
rm -rf %{buildroot}
make DESTDIR=%{buildroot} install
rm %{buildroot}%{_datadir}/applications/pitivi.desktop
desktop-file-install --vendor fedora                            \
        --dir %{buildroot}%{_datadir}/applications              \
        pitivi.desktop

%find_lang %{name}
%clean
rm -rf %{buildroot}

%files -f %{name}.lang
%defattr(-,root,root,-)
%doc AUTHORS ChangeLog COPYING NEWS
%{_bindir}/pitivi
%{_datadir}/pitivi
%{_datadir}/pixmaps/*
%{_datadir}/applications/*

%changelog
* Wed Jun 27 2007 Jeffrey C. Ollie <jeff@ocjtech.us> - 0.10.3-2
- Add versioned requires for gnonlin. (BZ#245981)

* Fri Jun 22 2007 Jeffrey C. Ollie <jeff@ocjtech.us> - 0.10.3-1
- Update to 0.10.3

* Mon May 28 2007 Jeffrey C. Ollie <jeff@ocjtech.us> - 0.10.2.2-3
- BR gettext

* Mon May 28 2007 Jeffrey C. Ollie <jeff@ocjtech.us> - 0.10.2.2-2
- BR perl(XML::Parser)

* Mon May 28 2007 Jeffrey C. Ollie <jeff@ocjtech.us> - 0.10.2.2-1
- Update to 0.10.2.2

* Wed Jan 31 2007 Jeffrey C. Ollie <jeff@ocjtech.us> - 0.10.2-2
- Don't forget to add new patch to CVS

* Wed Jan 31 2007 Jeffrey C. Ollie <jeff@ocjtech.us> - 0.10.2-1
- Update to 0.10.2
- Drop sync patch
- Add find_lang to pick up localizations
- Temporarily re-run auto* tools until PyGTK detection is fixed.
- See http://bugzilla.gnome.org/show_bug.cgi?id=402995

* Thu Dec 14 2006 Jeffrey C. Ollie <jeff@ocjtech.us> - 0.10.1-7
- Fix stupid mistake

* Thu Dec 14 2006 Jeffrey C. Ollie <jeff@ocjtech.us> - 0.10.1-6
- Launch pitivi with --sync option (BZ#219604)
- Fix buildroot macro usage
- Remove X-Fedora category from menu entry
- Remove duplicate menu entry (BZ#219603)

* Wed Dec 13 2006 Jeffrey C. Ollie <jeff@ocjtech.us> - 0.10.1-5
- Add requirement on gstreamer-python

* Tue Dec 12 2006 Jeffrey C. Ollie <jeff@ocjtech.us> - 0.10.1-4
- Taking ownership.
- Add dist tag
- Simplify files section
- Move library files to /usr/share
- Remove shebangs from library files
- Drop zero length README file

* Thu Sep 07 2006 W. Michael Petullo <mike[at]flyn.org> - 0.10.1-3
- Rebuild for FC6.

* Wed Sep 06 2006 W. Michael Petullo <mike[at]flyn.org> - 0.10.1-2
- Remove %%ghost from .pyo files: new Fedora policy.

* Sat Jun 03 2006 W. Michael Petullo <mike[@]flyn.org> 0.10.1-1
- update to 0.10.1

* Sun May 07 2006 W. Michael Petullo <mike[@]flyn.org> 0.10.0-3
- BuildRequires: pygtk2-libglade

* Sun May 07 2006 W. Michael Petullo <mike[@]flyn.org> 0.10.0-2
- BuildRequires: gnonlin because plugins are required a build time

* Wed Apr 26 2006 W. Michael Petullo <mike[@]flyn.org> 0.10.0-1
- update to 0.10.0
- remove BuildRequires: gnonlin-devel

* Wed Feb 08 2006 W. Michael Petullo <mike[@]flyn.org> 0.9.9.2-3
- add BuildRequires
- add %%{_libdir}/pitivi/python/pitivi/ui/*.glade

* Tue Feb 07 2006 W. Michael Petullo <mike[@]flyn.org> 0.9.9.2-2
- remove several %%defines.
- avoid %%makeinstall.
- BuildRequire: gnonlin-devel and Require: gnonlin.
- use desktop-file-install.
- BuildArch: noarch.
- %%ghost *.pyo.

* Mon Jan 23 2006 W. Michael Petullo <mike[@]flyn.org>
- 0.9.9.2: updated to new version and gstreamer-0.10.

* Mon Dec 20 2004 Thomas Vander Stichele <thomas at apestaart dot org>
- 0.1.1-0.fdr.1: initial package
